Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 37575 - Enabled value for category is changed to "null" if you disable one of the modules
Enabled value for category is changed to "null" if you disable one of the mod...
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P4 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
:
Depends on: 31896
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-27 15:48 UTC by Marian Mirilovic
Modified: 2008-12-23 00:18 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marian Mirilovic 2003-11-27 15:48:28 UTC
[nb_dev](200311261900), [jdk1.4.2_02]

Steps to reproduce:
- run IDE
- invoke Setup Wizard
- disable Javadoc module from Java category
-> Enabled column for Java category contains value
"null" 

Feel free to reassigne, I don't know who is in
Comment 1 _ tboudreau 2003-11-29 12:12:46 UTC
Already fixed on property panel rewrite branch.  What you see is an
artifact of a hotfix for an NPE - the property editor is "illegally"
using null as the property value to indicate an indeterminate state. 
The boolean editor does not know what to do with that.

While it is illegal, it's also the way we do it for multi-selection,
so on the branch it will actually use the boolean 3 way editor for this.
Comment 2 _ tboudreau 2003-12-09 09:36:45 UTC
Property panel rewrite branch merged.
Comment 3 Lukas Hasik 2003-12-10 15:42:07 UTC
200312091900


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo